<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="GitLab Pages" />
    <title>Captures ton socio - Matériel</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" />
    <link rel="stylesheet" href="./style.css" />
    <style>
      /* Additional styling for borders */
    </style>
  </head>
  <body>
    <nav class="navbar navbar-dark bg-dark">
      <div class="container">
        <a class="navbar-brand" href="./index.html"> Captures ton socio </a>
        <ul class="navbar-nav d-flex flex-row">
          <li class="nav-item">
            <a class="nav-link mr-5" href="./index.html">Accueil</a>
          </li>
          <li class="nav-item">
            <a class="nav-link mr-5" href="./material.html">Matériel</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./Expérimentations.html">Expérimentations</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="container">
      <h1 class="h1 mt-5">Expérimentations</h1>

      <!-- Expérimentation 1 -->
      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 1</h2>
        <h3>Objectif</h3>
        <p  style="text-align: justify;">Nous réalisons cette expérience afin de déterminer la distance à laquelle les étudiants doivent se positionner pour déclencher une réaction de notre application. La détection par le capteur de mouvement est essentielle pour garantir une réaction, et une fois détectée, l'application envoie cette réaction aux autres pour assurer une interaction complète.</p>
        <h3>Contexte de réalisation</h3>
        
        <p style="text-align: justify;">Tout d'abord, j'ai connecté le détecteur de distance (capteur ultrasonique) à la carte Arduino.
          Ensuite, j'ai relié les deux extrémités gauche (VCC) et droite (GND) avec un petit fil pour établir la connexion entre le détecteur de distance et le pôle positif (+) de la carte Arduino.</br></br>
          Les broches du milieu, Echo, ont été connectées à la broche 10 de l'Arduino, et Trig a été connecté à la broche 9 de l'Arduino. Ensuite, j'ai relié le pôle positif de la carte Arduino au 5V de l'Arduino, et le pôle négatif de la carte Arduino au GND de l'Arduino.</br></br>
          Une fois le branchement terminé, j'ai connecté l'Arduino à l'ordinateur à l'aide du câble et j'ai exécuté un code après avoir installé Arduino sur l'ordinateur.
          </p>
        <h3>Traces</h3>
        <div class="d-flex justify-content-around">
          <img src="./img/img_distance.png" alt="Branchement d'un detecteur de distance" class="media" style="height: 375px;">
          <video autoplay muted loop width="640" height="500px" class="media">
            <source src="./video/video_distance1.mp4" type="video/mp4" >
          </video>
        </div>
        <h3>Résultat de l’expérimentation</h3>
       
        <p  style="text-align: justify;">L'expérimentation a été réussie : chaque fois qu'un objet s'approchait de notre dispositif, des tests ont été effectués, montrant que le mouvement se rapprochait ou s'éloignait de 
          notre branchement. Les résultats étaient ensuite affichés sur le moniteur série, indiquant la différence des chiffres en fonction de la distance.
           En cas de distance trop éloignée, cela indiquerait l'absence d'interaction, fournissant ainsi des informations précieuses pour optimiser le placement des capteurs.</p>
        <h3>Avis sur la technologie expérimentée</h3>
        <p>Le détecteur de distance remplit efficacement sa fonction ; il fournit des valeurs numériques lorsque l'on s'approche de l'objet, et  lorsqu'on s'en éloigne.</p>
      </section>

      <!-- Expérimentation 2 -->
      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 2</h2>
        <h3>Objectif</h3>
        
        <p style="text-align: justify;">L'objectif principal de cette expérimentation est de déterminer la détection d'un mouvement pour permettre une interaction avec les lumières et les sons. 
          Cela implique l'utilisation du détecteur de distance pour ajuster la distance idéale, assurant ainsi que le détecteur de mouvement se déclenche efficacement pour alerter les 
          autres et favoriser une interaction harmonieuse</p>
        <h3>Contexte de réalisation</h3>
        
        <p  style="text-align: justify;">Tout d'abord, je mets mes jumpers sur le détecteur de mouvement PIR Motion Sensor (VCC, OUT et GND). Puis je connecte ma carte Arduino en utilisant 
          les trois broches disponibles sur le capteur.</br></br>
          GND (masse) du capteur : Connecter un fil de couleur vert ou noir depuis la broche de SENSOR à l'une des broches GND (Ground) de ma carte Arduino pour assurer une mise à la terre commune.</br></br>
          OUT (sortie) du capteur: J’utilise un fil de couleur jaune pour connecter cette broche au pin 3 sur la carte Arduino. Cette broche sera utilisée pour transmettre le signal de détection 
          de mouvement.</br></br>
          VCC (tension d'alimentation) du capteur : J’utilise un fil de couleur rouge pour connecter cette broche à l'une des broches 5V de la carte Arduino pour alimenter le capteur.</br></br>
          Enfin, je vais connecter mon Arduino à mon ordinateur à l'aide du câble USB fourni. Cette connexion permettra de programmer mon Arduino et de communiquer avec lui via le logiciel
           Arduino IDE. Voici comment effectuer cette connexion :</br>
          <div style="margin-left: 40px;">Brancher une extrémité du câble USB dans le port USB de mon ordinateur.</br>
            Brancher l'autre extrémité du câble USB dans le port USB de mon Arduino. Le port USB de mon Arduino est situé près de la bordure de la carte.</br>
            Une fois la connexion établie, j’utilise le logiciel Arduino IDE pour programmer mon Arduino et configurer son comportement en réponse aux détections de mouvement
             de mon capteur PIR Motion Sensor sans oublier de téléverser un code sur mon Arduino pour qu'il puisse réagir en conséquence lorsque le capteur détecte un mouvement via la broche OUT.</br></div>
          </p>
        <h3>Traces</h3>
        <div class="d-flex justify-content-around">
          <img src="./img/avant_allumer.jpg" alt="Branchement d'un detecteur de mouvement" class="media" style="height: 300px;">
          <video autoplay muted loop width="640" height="600px" class="media">
            <source src="./video/video_mouvement.mp4" type="video/mp4" >
          </video>
        </div>
          
        <h3>Résultat de l’expérimentation</h3>
       
        <p style="text-align: justify;">Les résultats de l'expérimentation ont été concluants. Lorsqu'un mouvement est détecté à proximité du branchement, la LED s'allume. Cela indique que le détecteur de 
          mouvement fonctionne correctement, établissant ainsi la connexion entre les différentes composantes, l'Arduino, et aboutissant à l'allumage de la LED comme résultat visuel.
        </p>
        <h3>Avis sur la technologie expérimentée</h3>
        <p>Le détecteur de mouvement accomplit sa tâche avec succès : dès qu'il détecte un mouvement, la LED réagit en s'allumant, fournissant ainsi une réponse positive et confirmant le bon fonctionnement du détecteur.</p>
      </section>

      <!-- Expérimentation 3 -->
      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 3</h2>
        <h3>Objectif</h3>
        <p>L’expérimentation du bouton cherche à valider que lorsque le bouton est pressé, la planche Arduino détecte son activation. Il faut que le pressement du bouton soit fonctionnel lors d’un appui considéré comme normal, et la vitesse de détection doit être suffisante pour établir si elle respecte un certain rythme.</p>

        <h3>Contexte de réalisation</h3>
        <p>Les 4 pins du bouton ont été placées directement sur le breadboard.</p> 
        <p>Le fil jaune relie le ground du Arduino à la ligne du négatif sur le breadboard.</p>
        <p>Le fil vert partant 5 volts du Arduino passe le courant sur la ligne positive.</p>
        <p>Le bouton est relié au ground de la ligne négative depuis le fil rouge dont le courant est tempéré par une résistance.</p>
        <p>Le courant du bouton est fourni par le fil rose depuis la ligne positive.</p>
        <p>Le fil vert partant du bouton à une pin du Arduino permet de communiquer du courant lorsque le bouton est pressé.</p>
        <p>Une lumière a été ajoutée sur la planche Arduino afin de voir si le courant passe lorsque le bouton est pressé, une branche sur le Ground et la seconde sur la pin 13. Nous avons dû tourner la lumière car il y a un sens pour qu’elle s’allume correctement.</p>

        <h3>Traces</h3>
        <div class="d-flex justify-content-around">
           <img src="./img/bouton-branchement.png" alt="Branchement d'un sensor de type bouton relié avec un Arduino" class="media" >
          <video autoplay muted loop width="640" height="360" class="media">
            <source src="./video/pressement-bouton.mp4" type="video/mp4"  >  
          </video>
        </div>
            <h3>Résultat de l’expérimentation</h3>
        <p>L’expérimentation a été réussie : lorsque le bouton est pressé, l’IDE d’Arduino capte son état actif et active le courant sur la lumière. Ainsi, lorsque le bouton est pressé, la lumière s’allume.</p>

        <h3>Avis sur la technologie expérimentée</h3>
        <p>Le bouton satisfait aux besoins du projet, il détecte sans équivoque le pressement et le fait rapidement.</p>
      </section>

      <!-- Expérimentation 4 -->
      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 4</h2>
        <h3>Objectif</h3>
        <p>L’objectif de l’expérimentation des lumières est d’afficher un indicateur visuel impliquant deux variables : qu’elle soit allumée et sa couleur.</p>

        <h3>Contexte de réalisation</h3>
        <ul>
          <li class="h4">Première tentative :</li>
          <p>Nous avons d’abord expérimenté avec le sensor RGB LED du kit ‘37 Sensor Kit V2.0’. Après plusieurs tentatives, la lumière s’allumait et prenait la couleur dictée par le code. Toutefois, la faiblesse de l’intensité rend cette option inadéquate. </p>
        <li class="h4">Solution alternative :</li>
        <p>Nos efforts ont alors été redirigés vers l’expérimentation des lumières LED standards. La lumière a été posée directement sur le breadboard. Sa broche positive est reliée par le fil vert vers le 5 volt de la planche Arduino. Sa broche négative est reliée au ground par le fil jaune, dont le courant est tempéré par une résistance 1kΩ. Nous avons téléchargé un code qui allume et éteint la lumière de façon ponctuelle.</p>
      <li class="h4">Solution alternative étendue :</li> 
      <p>Comme cette étape a été réussie et que les besoins du projet nécessitent plusieurs couleurs, nous avons étendu le branchement à trois couleurs : vert, jaune, rouge. </p>
      </ul>
     

        <h3>Traces</h3>
        <h4>Lumière RGB LED</h4>
        <div class="d-flex justify-content-around">
           <img src="./img/rgb-led-branchement.jpg" alt="Branchement d'un sensor de type rgb led relié avec un Arduino" class="media">
           <img src="./img/rgb-led-intensite.jpg" alt="Branchement d'un sensor de type rgb led relié avec un Arduino" class="media">
        </div>
         <h4 class="mt-5">Lumière LED seule</h4>
        <div class="d-flex justify-content-around">
           <img src="./img/led-branchement-eteinte.jpg" alt="Branchement d'un sensor de type led éteint relié avec un Arduino" class="media">
           <img src="./img/led-branchement-allumee.jpg" alt="Branchement d'un sensor de type led allumé relié avec un Arduino" class="media">
        </div>
          <h4 class="mt-5">Trois lumières LED</h4>
        <div class="d-flex justify-content-around">
        <div class="d-flex flex-column w-100"> 
           <img src="./img/led-3-couleurs-branchement-de-face.jpg" alt="Branchement d'un sensor de type led éteint relié avec un Arduino" class="media" style="width: 94% !important; height: auto !important;">
            <p class="ml-4 mt-4">Note : Les lumières jaune et rouge sont allumées et la verte est éteinte.</p>
        </div>
           <img src="./img/led-3-couleurs-branchement-tete-premiere.jpg" alt="Branchement d'un sensor de type led allumé relié avec un Arduino" class="media">
        </div>
        <h3>Résultat de l’expérimentation</h3>
        <p>
          Les lumières allument et éteignent selon ce que le code commande que ce soit la lumière RBG LED ou la LED. L'intensité de la lumière RGB LED est insuffisante pour notre projet. Il est difficile de percevoir facilement et rapidement si elle est allumée ou non.
          L'intensité de la lumière LED varie selon l’angle du point de vue. En se plaçant de haut, l'état allumé de la lumière est davantage perceptible.
           Ainsi, l’intensité des lumières LED à deux broches est suffisante, particulièrement en les plaçant têtes premières vers l’utilisateur.</p>

        <h3>Avis sur la technologie expérimentée</h3>
        <p>La couleur des LED est prédéterminée et cela nécessite davantage de points de branchement sur l’Arduino.
          La lumière RGB LED était avantageuse pour l’économie du nombre de pins utilisées sur l’Arduino comme nous avions besoin de seulement trois au total. 
          Toutefois, comme son intensité est insuffisante, les lumières LED à deux broches ont été choisies pour la suite.
        </p>
      </section>

      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 5</h2>
        <h3>Objectif</h3>
        <p style="text-align: justify;">L’objectif de l’expérimentation est de brancher l’écran à un raspberry pi et s’assurer que 
          l’écran affiche bien une image et est fonctionnel
        </p>
        <h3>Contexte de réalisation</h3>
        <p  style="text-align: justify;">Nous avons alimenté le raspberry pi puis l’avons branché avec le câble HDMI à l’écran

          </p>
        <h3>Traces</h3>
          <img src="./img/raspberryPi-Branché-écran.png">
        <h3>Résultat de l’expérimentation</h3>
        <p style="text-align: justify;">
          L’écran s’est allumé avec succès et nous étions capable d’utiliser le raspberry pi pour l’altérer. Le raspberry 
          fonctionne sans accroc et permet d’utiliser l’écran pour ce qu’on veut. Toutefois, une limite que possède le raspberry 
          pi est son espace de stockage et sa mémoire limitée pour des projets d’envergures. Pour régler ces problèmes, il est possible d’ajouter de l’espace mémoire ou encore d’ajouter un disque dur au raspberry.
        </p>
      </section>

      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 6</h2>
        <h3>Objectif</h3>
        <p style="text-align: justify;">
          L’objectif de l’expérimentation est de vérifier si un raspberry pi est capable de faire jouer un son par un dispositif externe.
        </p>
        <h3>Contexte de réalisation</h3>
        <p  style="text-align: justify;">
          Nous avons alimenté le raspberry pi et l’avons branché à des écouteurs en USB. Nous avons dû modifier les paramètres de son du raspberry pour définir que le dispositif qui émettait le son était les écouteurs et non le haut-parleur qui ne fonctionnait pas.

        </p>
        <h3>Résultat de l’expérimentation</h3>
        <p style="text-align: justify;">
          Le son a été émis par les écouteurs.

        </p>
      </section>
      <section class="mt-4">
        <h2 class="experimentation">Expérimentation 7</h2>
        <h3>Objectif</h3>
        <p style="text-align: justify;">
            L'objectif principal de cette expérience était d'établir une communication entre un Arduino et un Raspberry Pi. Plus spécifiquement, cela impliquait de permettre à un script écrit en langage Arduino (ino) exécuté sur l'Arduino de transmettre périodiquement des informations à un script Python (py) s'exécutant sur le Raspberry Pi. De plus, il s'agissait de détecter, à partir du script Python, l'activation de certaines broches (pins) de l'Arduino.
        </p>
        <h3>Contexte de réalisation</h3>
        <p style="text-align: justify;">
          Pour réaliser cette expérience, j'ai développé un script en langage Arduino pour configurer la communication série et émettre des données périodiques. Du côté du Raspberry Pi, un script Python a été écrit pour recevoir les informations envoyées par l'Arduino via le port série et pour détecter l'activation de certaines broches de l'Arduino.</p>
          <h3>Traces</h3>
          <h4 class="mt-5">Connexion Arduino/Raspberri</h4>
          <div class="d-flex justify-content-around">
          <img src="./img/Connection_ArduinoRaspberri.png" class="media"/>
          <img src="./img/Code_Serial.png" class="media"/>
          </div>
        <h3>Résultat de l’expérimentation</h3>
        
        <p style="text-align: justify;">
          L'expérience a été un succès dans le sens où l'Arduino a réussi à transmettre des données vers le Raspberry Pi via la communication série établie entre les deux appareils. De plus, nous avons découvert que le Raspberry Pi peut fournir de l'électricité à l'Arduino, ce qui facilitera grandement le branchement de notre dispositif.
        </p>
    </section>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>
